<template>
  <v-chip
    size="x-small"
    :class="getClass"
    label
  >
    <div v-if="slots.title">
      <div>
        <slot name="title"></slot>
      </div>
    </div>
    <div v-else>
      <div>
        {{ props.flag ? translate(`status.visible`) : translate(`status.hidden`) }}
      </div>
    </div>
  </v-chip>
</template>

<script setup lang="ts">
import { defineProps, useSlots } from 'vue';
import { useI18n } from 'vue-i18n';

const { t: translate } = useI18n();

const slots = useSlots();

const props = defineProps({
  flag: {
    type: Boolean,
    default: true,
  },
});

const getClass = () => {
 return props.flag ? { class: '!bg-visibility-nope-rgba !font-bold', } : { class: '!bg-visibility-yay-rgba !font-bold', }
}
</script>
